import React, { useState } from 'react';
import {BrowserRouter as Router, Route, Link, Switch, Redirect} from 'react-router-dom';
import {createStore, combineReducers, applyMiddleware} from 'redux';
import Header from "./header";
import Footer from "./footer";
import Main from "./Main";
import actionCatalogCard from "../actions/actionCategory";
import Links from "./links"
// import CGoodsCategory from "./goods/goodsCategory";
// import OneGood from './goods/oneGood';
// import CGoodsList from "./goods/goodsList";
import {SearchInput, SearchUserInput} from "./goods/searchInput";
import CGoodsSearch from "./goods/goodsSearch";
// import GoodsNotFound from "./goods/goodsNotFound";
import LoginForm from "./users/loginOnPage";
import {CGoodCard, CGoodsCategory, CGoodsList, GoodsNotFound, OneGood} from "./goods/index";
import CYourProfile from "./users/profilePage";
import CBasketPage from "./goods/basket";
import COrderPage from "./orders/orderDonePage";
import CUsersList from "./users/usersList";
import COrdersList from "./orders/ordersList";
import COrderUpdate from "./orders/orderUpdate";
import CWishesPage from "./goods/wishesPage";


export {Header,Footer, actionCatalogCard, Main, Links, CGoodsCategory, OneGood, CGoodsList, SearchInput, CGoodsSearch, GoodsNotFound, 
LoginForm, CGoodCard, CWishesPage, CYourProfile, COrderUpdate, CBasketPage, COrdersList, COrderPage, CUsersList, SearchUserInput};



